# Get table

Shows a table according to specified database and table.

Endpoint: GET /table/show/{database_name}/{table_name}
Version: 3
Security: ApiKeyAuth

## Path parameters:

  - `database_name` (string, required)
    database name
    Example: "Alpha"

  - `table_name` (string, required)
    Example: "Bravo"

## Query parameters:

  - `include_descriptions` (boolean)
    When true, includes table descriptions and column descriptions in the schema field

## Response 200 fields (application/json):

  - `id` (integer, required)
    Example: 11

  - `count` (integer, required)
    Example: 1000

  - `counter_updated_at` (any, required)

  - `created_at` (string, required)
    Datetime in custom format (2020-12-31 11:22:33 -0500 or 2020-12-31 11:22:33 UTC for UTC)
    Example: "2020-12-31 11:22:33 UTC"

  - `delete_protected` (boolean, required)
    Example: true

  - `estimated_storage_size` (integer, required)
    Example: 1073741824

  - `expire_days` (integer,null, required)
    Example: 30

  - `last_log_timestamp` (integer,null, required)
    Example: 1356998400

  - `name` (string, required)
    Example: "Bravo"

  - `description` (string,null)
    user-provided description of the table
    Example: "Click events."

  - `schema` (string, required)
    JSON-encoded table schema. When include_descriptions=true, contains column descriptions in format [[name, type, alias, description], ...]

  - `type` (string, required)
    Enum: "log"

  - `updated_at` (string, required)
    Datetime in custom format (2020-12-31 11:22:33 -0500 or 2020-12-31 11:22:33 UTC for UTC)
    Example: "2020-12-31 11:22:33 UTC"

  - `include_v` (boolean, required)
    when true, Hive queries can access a virtual column "v" which contains a map of every data column's name to its value (represented as a string). Prefer to set a schema on the table instead of using "v".


